import PropTypes from 'ant-design-vue/es/_util/vue-types';
export var DetailProps = {
  // 卡片标题
  cardTitle: PropTypes.string,
  // 数据展示列数
  column: PropTypes.number.def(3),
  // 文字数据标题
  infoTitle: PropTypes.string,
  // 文字数据列表
  infoList: PropTypes.oneOfType([PropTypes.array, PropTypes.shape({
    // 标题
    title: PropTypes.string,
    // key
    key: PropTypes.string
  })]),
  // 图文数据标题
  imgTitle: PropTypes.string,
  // 图文数据列表
  imgList: PropTypes.oneOfType([PropTypes.array, PropTypes.string]),
  // 数据
  data: PropTypes.object.def({}),
  // 图片是否启用osssts临时授权访问
  useOssSTSPolicy: PropTypes.oneOfType([PropTypes.string, PropTypes.bool]).def(false)
};
export var EASY_DETAIL_TYPE = {
  TEXT: 'text',
  // 普通文字
  DICT: 'dict',
  // 字典协议
  ENUM: 'enum' // 本地枚举值

};