import { formMixinProps, formProps } from './types';
import { FORM_ITEM_TYPE } from './constants';
import FormMixin from './Form.mixin';
import Form from './Form';
/* istanbul ignore next */

Form.install = function (Vue, options) {
  if (typeof options === 'function') {
    Form.methods.getDictList = options;
  }

  Vue.component(Form.name, Form);
};

export { formMixinProps, formProps, FORM_ITEM_TYPE, FormMixin, Form };
export default Form;