"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "DictSelect", {
  enumerable: true,
  get: function get() {
    return _DictSelect["default"];
  }
});
Object.defineProperty(exports, "DictSelectProps", {
  enumerable: true,
  get: function get() {
    return _types.DictSelectProps;
  }
});
exports["default"] = void 0;

var _DictSelect = _interopRequireDefault(require("./DictSelect"));

var _types = require("./types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

_DictSelect["default"].install = function (Vue, options) {
  if (typeof options === 'function') {
    _DictSelect["default"].methods.getDictList = options;
  }

  Vue.component(_DictSelect["default"].name, _DictSelect["default"]);
};

var _default = _DictSelect["default"];
exports["default"] = _default;